Bug 728380 - subscription-manager environments is not honoring the proxy command line options
Summary: subscription-manager environments is not honoring the proxy command line options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager
Version: 5.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: beta
: 5.8
Assignee: Alex Wood
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 715031
TreeView+ depends on / blocked
 
Reported: 2011-08-04 21:11 UTC by John Sefler
Modified: 2012-02-21 06:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
No description necessary
Clone Of:
Environment:
Last Closed: 2012-02-21 06:31:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0154 normal SHIPPED_LIVE subscription-manager bug fix update 2012-02-20 15:06:04 UTC

Description John Sefler 2011-08-04 21:11:59 UTC
Description of problem:

[root@jsefler-onprem-62server ~]# subscription-manager environments --username=testuser1 --password=password  --org=admin --proxy=foo --proxyuser=man --proxypassword=chu
This system does not support environments.

^^^ expected that output to be "Network error, unable to connect to server." since the proxy values I gave were non existent.


Version-Release number of selected component (if applicable):
[root@jsefler-onprem-62server ~]# rpm -q subscription-manager
subscription-manager-0.96.5-1.git.2.d4be8a2.el6.x86_64

Comment 3 Alex Wood 2011-11-16 16:45:40 UTC
Committed b30fa2cd7414e09931724c5839077e6b9c3f8bc5 to python-rhsm

Available in python-rhsm 0.98.2+

Comment 4 J.C. Molet 2011-11-29 14:52:04 UTC
[root@jmolet-vm4 ~]# subscription-manager environments --username=testuser1 --password=password  --org=admin 
This system does not support environments.
[root@jmolet-vm4 ~]# subscription-manager environments --username=testuser1 --password=password  --org=admin --proxy=foo 
Network error, unable to connect to server.
Please see /var/log/rhsm/rhsm.log for more information.
[root@jmolet-vm4 ~]# subscription-manager environments --username=testuser1 --password=password  --org=admin --proxy=foo --proxyuser=man --proxypassword=chu
Network error, unable to connect to server.
Please see /var/log/rhsm/rhsm.log for more information.


the proxy options are now giving the correct errors, marking VERIFIED

python-rhsm-0.98.3-1.git.2.74cd6bb.el5_7
subscription-manager-gnome-0.98.3-1.git.16.14460bc.el5_7
subscription-manager-firstboot-0.98.3-1.git.16.14460bc.el5_7
subscription-manager-0.98.3-1.git.16.14460bc.el5_7

Comment 5 William Poteat 2012-01-20 19:15:08 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No description necessary

Comment 6 errata-xmlrpc 2012-02-21 06:31:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0154.html


Note You need to log in before you can comment on or make changes to this bug.